#-------------------------------------------------
#
# Project created by QtCreator 2018-08-20T09:12:54
#
#-------------------------------------------------

QT      += core gui widgets dbus

TARGET   = corestats
TEMPLATE = app

VERSION  = 4.2.0

# Library section
unix:!macx: LIBS += -lcprime-widgets
unix:!macx: LIBS += -lcprime-core
unix:!macx: LIBS += -L/usr/lib -lcsys
unix:!macx: LIBS += -lsensors

# thread - Enable threading support
# silent - Do not print the compilation syntax
CONFIG  += thread silent

# Disable QDebug on Release build
CONFIG(release, debug|release):DEFINES += QT_NO_DEBUG_OUTPUT

# Warn about deprecated features
DEFINES += QT_DEPRECATED_WARNINGS
# Disable all deprecated features before Qt 5.15
DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x051500

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# C++17 Support for Qt5
QMAKE_CXXFLAGS += -std=c++17

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }
        BINDIR = $$PREFIX/bin

        target.path = $$BINDIR

        DEFINES += VERSION_TEXT=\"\\\"$${VERSION}\\\"\"

        desktop.path  = $$PREFIX/share/applications/
        desktop.files = "org.cubocore.CoreStats.desktop"

        icons.path  = $$PREFIX/share/icons/hicolor/scalable/apps/
        icons.files = org.cubocore.CoreStats.svg

        INSTALLS += target icons desktop
}


FORMS += \
    pbattery.ui \
    pdisplay.ui \
    pdrives.ui \
    pgeneral.ui \
    pnetwork.ui \
    presources.ui \
    corestats.ui \
    psysmonitor.ui

HEADERS += \
    pbattery.h \
    pdisplay.h \
    pdrives.h \
    pgeneral.h \
    pnetwork.h \
    presources.h \
    corestats.h \
    psysmonitor.h \
    settings.h \
    usagegraph.h

SOURCES += \
    main.cpp \
    pbattery.cpp \
    pdisplay.cpp \
    pdrives.cpp \
    pgeneral.cpp \
    pnetwork.cpp \
    presources.cpp \
    corestats.cpp \
    psysmonitor.cpp \
    settings.cpp \
    usagegraph.cpp
